# $Revision: 1.11 $, $Date: 2012/04/16 15:10:27 $
Summary:	Helper library for dumb speech synthesizers
Summary(pl.UTF-8):	Biblioteka pomocnicza dla "głupich" syntezatorów mowy
Name:		libdumbtts
Version:	0.3.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://tts.polip.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	4bacd89c0c9bb178dcd8758c6e9ca90d
Patch0:		%{name}-Makefile.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdumbtts is helper library for dumb speech synthesizer drivers.
Developed for Ivona synthesizer and speech-dispatcher, but may be
usable with other synthesizer and application.

%description -l pl.UTF-8
libdumbtts to biblioteka pomocnicza dla sterowników "głupich"
syntezatorów mowy. Opracowana została dla syntezatora Ivona oraz
speech-dispatchera, ale może być przydatna dla innych syntezatorów
i aplikacji.

%package devel
Summary:	Header files for libdumbtts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdumbtts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdumbtts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdumbtts.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	PIC="-fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dumbtts

%{__make} -C src install \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%doc %lang(pl) README_pl
%attr(755,root,root) %{_libdir}/libdumbtts.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdumbtts.so.0
%dir %{_sysconfdir}/dumbtts
%dir %{_datadir}/dumbtts
%{_datadir}/dumbtts/*.conf
%{_datadir}/dumbtts/*.dic

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdumbtts.so
%{_includedir}/libdumbtts.h

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdumbtts.spec,v $
Revision 1.11  2012/04/16 15:10:27  qboosh
- updated to 0.3.2
- updated Makefile patch

Revision 1.10  2011/01/30 01:48:30  sparky
- dropped redundant BuildRoot: definitions

Revision 1.9  2010/02/27 21:11:18  sparky
- unify %attr() %ghost order

Revision 1.8  2009/06/09 10:06:46  amateja
- updated to 0.3.0

Revision 1.7  2008/04/16 21:42:36  darekr
- -fPIC for x86_64, killed todo

Revision 1.6  2008-04-16 19:10:57  arvenil
- added %ghost
- added more docs
- doesn't build on x86_64 (added TODO)
- clean up

Revision 1.5  2008-04-16 18:12:07  twittner
- darek's changes and his commitlog restored

Revision 1.4  2008-04-15 18:30:31  twittner
- up to 0.2.0
- added -Makefile.patch which allows to pass CC, CFLAGS, LDFLAGS

Revision 1.3  2008-04-14 23:04:46  darekr
- md5sum, use -C for make

Revision 1.2  2008-04-12 08:28:33  gotar
- cosmetics

Revision 1.1  2008-04-12 08:23:38  gotar
- initial from Bohdan R. Rau
